# $Revision: 1.6.2.3 $, $Date: 2003/09/12 22:30:12 $
%include	/usr/lib/rpm/macros.python
%define	module	psyco
Summary:	Python extension module which can speed up the execution of Python code
Summary(pl):	Modu rozszerzenia Pythona mogcy przyspieszy wykonywanie kodu w Pythonie
Name:		python-%{module}
Version:	1.1.1
Release:	1
License:	MIT
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/psyco/%{module}-%{version}-src.tar.gz
# Source0-md5:	2b12983f5a56a9fafe010b54ef514770
URL:		http://psyco.sourceforge.net/
BuildRequires:	python >= 2.2.3
%pyrequires_eq	python-modules
Exclusivearch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
In short: run your existing Python software much faster, with no
change in your source.

Think of Psyco as a kind of just-in-time (JIT) compiler, a little bit
like Java's, that emit machine code on the fly instead of interpreting
your Python program step by step. The result is that your unmodified
Python programs run faster.

%description -l pl
W skrcie: ten modu pozwala na o wiele szybsze dziaanie programw w
Pythonie bez zmian w rdach.

Psyco jest rodzajem kompilatora JIT (just-in-time), troch podobnego
do tego z Javy, produkujcego kod maszynowy w locie zamiast
interpretowania programu w Pythonie krok po kroku. Efekt jest taki, e
programy w Pythonie bez adnych modyfikacji dziaaj szybciej.

%prep
%setup -q -n %{module}-%{version}

%build
CC="%{__cc}"; export CC
CFLAGS="%{rpmcflags}"; export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/%{module}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.pyc
%{py_sitedir}/%{module}/*.pyo
%{py_sitedir}/%{module}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-psyco.spec,v $
Revision 1.6.2.3  2003/09/12 22:30:12  blues
- md5 fixed

Revision 1.6.2.2  2003/09/12 10:16:27  matkor
- Autoupgraded to 1.1.1. ( bugfix release - setup fixes for RH and win).

Revision 1.6.2.1  2003/08/17 19:01:29  matkor
- Version 1.1. Release 1. STBR for Ra.

Revision 1.6  2003/06/24 09:53:16  matkor
- Release 2. Rebuild with python 2.2.3 (psyco uses changes introduced in 2.2.2). STBR for Ra.

Revision 1.5  2003/06/08 10:43:56  qboosh
- pl, shortened summary a little

Revision 1.4  2003/05/28 13:01:30  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/20 09:29:40  qboosh
- standardized sf URLs, minor fixes or cosmetics

Revision 1.1  2003/05/18 10:28:48  jajcus
- new spec
